#!/bin/sh

# Convert Markdown to Docbook
pandoc \
-f markdown \
-t docbook4 \
--number-sections \
--toc \
--self-contained \
-o long-list.xml \
long-list.md

# Tweak Docbook a little bit
xsltproc --output long-list-tweaked.xml ./long-list-tweaks.xsl long-list.xml

# Convert XML to XSL-FO
xsltproc \
--output long-list.fo \
long-list-styles.xsl \
long-list-tweaked.xml

# Convert XSL-FO to PDF
../fop-trunk-rev1845627/trunk/fop/fop \
-fo long-list.fo \
-pdf long-list.pdf
