<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" />
<xsl:output doctype-public="-//OASIS//DTD DocBook XML V4.5//EN" />
<xsl:output doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" />

<!-- Identity template -->
<xsl:template match="node() | @*">
    <xsl:copy>
        <xsl:apply-templates select="node() | @*" />
    </xsl:copy>
</xsl:template>

<!--
    In support of page numbering with "page X of Y" add a processing
    instruction at end of the document.  The DocBook to FO style sheet will
    be customized to transform that processing instruction into an
    fo:page-number-citation with an ID that is used to generate the total
    number of pages.

    Also as part of converting from article to book, convert these sect1
    tags to chapter tags.
-->
<xsl:template match="sect1">
    <xsl:copy>
        <xsl:apply-templates select="node() | @*" />
        <!--
            If this is the last sect1 then add the processing instruction that
            will be used for "page X or Y" formatting later.  Note that "last
            sect1" is determined by the following test conditional as "sect1
            that doesn't have a sect1 sibling following it".
        -->
        <xsl:if test="not(following-sibling::sect1)">
            <xsl:processing-instruction name="last-page-marker" />
        </xsl:if>
    </xsl:copy>
</xsl:template>

<xsl:template match="itemizedlist|orderedlist|variablelist">
    <xsl:copy>
        <xsl:apply-templates select="@*" />
        <!-- <xsl:processing-instruction name="dbfo">keep-together="1"</xsl:processing-instruction> -->
        <xsl:processing-instruction name="dbfo">label-width="2em"</xsl:processing-instruction>
        <xsl:apply-templates select="node()" />
    </xsl:copy>
</xsl:template>

</xsl:stylesheet>